aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-package-anon/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-03 19:47:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-03 19:50:11 +0000
commit5a10c1af76714a9b07fe71cae0a100c60c62a517 (patch)
treeb570dd824212f28c3bd5e4401e7df67ded4b1058 /main/perl-package-anon/APKBUILD
parent6d0bdf8fabac947ba1dc19e7f1d2867bf78bbf58 (diff)
downloadaports-5a10c1af76714a9b07fe71cae0a100c60c62a517.tar.gz
aports-5a10c1af76714a9b07fe71cae0a100c60c62a517.tar.bz2
aports-5a10c1af76714a9b07fe71cae0a100c60c62a517.tar.xz
main/perl-package-anon: moved from testing
Diffstat (limited to 'main/perl-package-anon/APKBUILD')
-rw-r--r--main/perl-package-anon/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/perl-package-anon/APKBUILD b/main/perl-package-anon/APKBUILD
new file mode 100644
index 0000000000..15ca773c56
--- /dev/null
+++ b/main/perl-package-anon/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-package-anon
+_pkgreal=Package-Anon
+pkgver=0.05
+pkgrel=0
+pkgdesc="Anonymous packages"
+url="http://search.cpan.org/dist/Package-Anon/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-sub-exporter perl-sub-exporter "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AU/AUGGY/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="06599ea8c760e679dce8ebfb6b6a1edb Package-Anon-0.05.tar.gz"
+sha256sums="15d0285e628a721138bcb1c36dea934379a89fdbc450fd79148e4e37a77241ba Package-Anon-0.05.tar.gz"
+sha512sums="73adf4eb8348ad51e678d7d777f7c13599eaaa53e776a35df768ee1afcf781801c980c786c658addad80ae5fe852fefb3600722ea7b02d928653543aa28d9d51 Package-Anon-0.05.tar.gz"